Skip to main content

Create Recurring Resident Charge: Rentvine

POSThttps://api.propexo.com/v1/recurring-resident-charges/rentvine/
MethodInterface
POST /api/manager/leases/{leaseID}/recurring-chargesLeases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    descriptionstringrequired

    Description of the recurring resident charge

    day_dueintegerrequired

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    start_datestringrequired

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    frequency_rawinteger

    The raw value of the frequency of the recurring resident charge (in months)

    Possible values: > 0 and <= 24

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    descriptionstringrequired

    Description of the recurring resident charge

    day_dueintegerrequired

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    start_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    frequency_rawinteger | nullnullablerequired

    The raw value of the frequency of the recurring resident charge (in months)

    Possible values: > 0 and <= 24

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/recurring-resident-charges/rentvine/
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"description": "string",
"day_due": 0,
"start_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"description": "string",
"day_due": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"frequency_raw": 0
}
}